.fa fa-chevron-left {
  height: 20px;
  width: 11px;
  background-color: #333333;
}

.product-body {
  margin-top: 30px;
  margin-left: 16px;
  padding-right: 40px;
  height: 328px;
  width: 1360px;
  border-radius: 6px;
  background-color: #FFFFFF;
}

.ค้นหาข้อมูล {
  height: 32px;
  width: 96px;
  color: #333333;
  font-family: Prompt;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 32px;
}

.rectangle-line {
  height: 2px;
  width: 1360px;
  background-color: #E0E0E0;
}

.rectangle-copy-2 {
  height: 328px;
  width: 1360px;
  border-radius: 6px;
  background-color: #FFFFFF;
}

.stacked-group-2 {
  height: 76px;
  width: 1297px;
}

.placeholder {
  height: 24px;
  width: 338.57px;
  color: #E0E0E0;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
}

.select {
  // margin-left: 22px;
  width: 100%;
  margin-top: 22px;
}

.date_input {
  width: 100%;
  position: relative;

  .form-control {
    font-family: Prompt;
  }
}

.icon-warpper1 {
  display: block;
  position: absolute;
  top: 10%;
  left: 85%;
  line-height: 35px;
}

.rectangle-search {
  height: 48px;
  width: 154px;
  border-radius: 4px;
  background-color: #00A4E4;
  color: #FFFFFF;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  margin-top: 30px;
}

.showsearch {
  height: 22px;
  width: 100%;
  color: #006E95;
  font-family: Prompt;
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 22px;
  text-align: right;
  cursor: pointer;
}

.searchresult {
  height: 30px;
  width: 104px;
  color: #333333;
  font-family: Prompt;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 30px;
}

.text {
  height: 24px;
  width: 100%;
  color: #999999;
  font-family: Prompt;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 24px;
}

.search-result-body {
  margin-top: 30px;
  margin-left: 16px;
  height: auto;
  width: 1360px;
  border-radius: 6px;
  background-color: #FFFFFF;
}

.text-statistics {
  padding-top: 22px;
  margin-left: 32px;
  height: 30px;
  width: 194px;
  color: #333333;
  font-family: Prompt;
  font-size: 20px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 30px;
}

.text-body-header {
  padding-top: 22px;
  margin-left: 48px;
  height: 28px;
  width: 152px;
  color: #333333;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
}

.rectangle-line-search {
  height: 2px;
  width: 1316px;
  background-color: #E0E0E0;
}

.select-show {
  // box-sizing: border-box;
  height: 40px;
  width: 207px;
  border: 1px solid #BDBDBD;
  border-radius: 4px;
  background-color: #FFFFFF;
}

.chart-result-body {
  margin-top: 24px;
  margin-left: 16px;
  height: auto;
  width: 1296px;
}

.chart-result-footer {
  margin-top: 24px;
  margin-left: 16px;
  height: auto;
  width: 1296px;
}

.bg-choice {
  height: 17px;
  width: 17px;
  border-radius: 4px;
  // border:#8DD2EE;
  // background-color: #8DD2EE;
}

.calendar-backdrop {
  display: flex;
  position: fixed;
  background: transparent;
  width: 100%;
  height: 100%;
  z-index: 998;
  top: 0;
  left: 0;
}

.btn-delete {
  cursor: pointer;
  color: rgb(121, 121, 121) !important;
}

.btn-date {
  top: 40%;
  right: 50px;
  position: absolute;
  cursor: pointer;
  color: #666666;
}

.btn-delete:hover {
  top: 40%;
  cursor: pointer;
  color: rgb(20, 20, 20) !important;
}

// ////////////////////////calender //////////////////////////////////////
::ng-deep #ej2-datetimepicker_0 span.e-input-group::before {
  display: none;
  font-family: Prompt !important;
}

::ng-deep #ej2-datetimepicker_0 span.e-input-group::after {
  display: none;
}

::ng-deep .e-calendar .e-content td.e-today.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-today span.e-day {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: #009edb;
}

::ng-deep .e-btn.e-flat.e-primary:hover {
  // border: 1px solid #009EDB !important;
  background: rgb(247, 247, 247) !important;
  color: #009edb !important;
}

::ng-deep .e-btn.e-flat.e-primary:disabled {
  // background: rgb(255, 255, 255)!important;
  color: rgba(104, 104, 104, 0.219) !important;
}

::ng-deep .e-btn.e-flat.e-primary:disabled:hover {
  background: rgb(255, 255, 255) !important;
  color: rgba(104, 104, 104, 0.219) !important;
}

::ng-deep .e-calendar .e-content td.e-today span.e-day:hover {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: rgb(0, 0, 0) !important;
}

::ng-deep .e-calendar .e-content td.e-today.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-focused-date.e-today span.e-day {
  border: 1px solid #009edb !important;
  background: rgb(255, 255, 255);
  color: #009edb;
}

::ng-deep .e-daterangepicker.e-popup .e-calendar .e-end-date.e-selected.e-range-hover span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-selected:hover span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-daterangepicker.e-popup .e-calendar .e-range-hover.e-start-date.e-selected.e-today span.e-day {
  border: 1px solid #009edb !important;
}

::ng-deep .e-daterangepicker.e-popup .e-calendar .e-start-date.e-selected.e-range-hover span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-calendar .e-content td.e-selected span.e-day {
  border: none;
  background-color: #009edb !important;
}

::ng-deep .e-btn.e-flat.e-primary {
  background: rgb(255, 255, 255) !important;
  color: #009edb !important;
}

::ng-deep #ej2-datetimepicker_0 span {
  border: none;
  color: rgb(185, 185, 185);
}

::ng-deep #ej2-datetimepicker_0 input.e-input {
  font-size: 14px;
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #3a4966;
  font-family: Prompt !important;
}

::ng-deep .mat-calendar-body-selected {
  background-color: #009edb !important;
}

// //////////////////////////////////////////////////////////////////////////

.calendar-warpper-2 {
  position: absolute;
  top: -1;
  right: 0;
  background: #fff;
  padding: 10px;
  border: 1px solid #0000002b;
  box-shadow: 0 2px 4px -1px rgba(0, 0, 0, 0.2), 0 4px 5px 0 rgba(0, 0, 0, 0.14),
    0 1px 10px 0 rgba(0, 0, 0, 0.12);
  border-radius: 4px;
  z-index: 999;
  // opacity: 0;
  transition: all 2s;

  .input-calendar {
    position: relative;
  }

  .subhead-calendar {
    display: flex;
    text-align: center;
    color: #009edb;

    :nth-child(1) {
      width: 50%;
    }

    :nth-child(2) {
      width: 50%;
    }
  }

  .header-calendar {
    text-align: center;
  }

  .body-calendar {
    display: flex;
  }

  &.ng-star-inserted {
    opacity: 1;
  }

  .footer-calendar {
    display: flex;

    .btn-clear {
      // margin-left: auto;
      background-color: white;
      border:white;
      // border-radius: 4px;
    }

    .btn-apply {
      margin-left: auto;
      background-color: #009edb;
      border:#009edb;
      border-radius: 4px;
      height: 40px;
    }

    .mat-flat-button.mat-primary:not([disabled]) {
      background-color: #009edb;
    }

    .btn-close {
      // margin-left: auto;
      background-color: white;
      border:white;
      // border-radius: 4px;
    }
  }
}

.fa-remove:before,
.fa-close:before,
.fa-times:before {
  position: absolute;
  top: 40%;
  right: 90px;
}